Subject: 24.4; exec_sentinel_error_handler and read_process_output_error_handler

From: Leo Liu <[email-masked]>
Date: Sun, 28 Dec 2014 21:25:36 +1100

why are these functions have a hard-coded 2 seconds wait while
inhibit-quit?

This can be problematic in a situation triggered by completion-at-point.
in my setup I have 3 items in completion-styles and it can trigger 6
sentinel/filter errors in a row for every char input. While the errors
are signalled and even if I keep hitting C-g I have to wait many
seconds.

Leo